//
// Created by william on 16/05/24.
//

#ifndef NES_EMULATOR_GUI_H
#define NES_EMULATOR_GUI_H

#include <SDL.h>
#include "canvas.h"
#include "window.h"

#define MAIN_WINDOW_WIDTH 256
#define MAIN_WINDOW_HEIGHT 240
#define DEBUG_PATTERN_WIDTH 100
#define DEBUG_PATTERN_HEIGHT 100

#define GUI_WINDOW_MAIN 1
#define GUI_WINDOW_PATTERN 2

typedef struct nes_gui {
    NesWindow main_window;
    NesWindow debug_pattern_window;
} NesGui;

void gui_init();
void gui_uninit();

int gui_input();
void gui_render();
void gui_present();

Canvas *gui_get_canvas(char win_id);

#endif //NES_EMULATOR_GUI_H
